package com.redxun.knowledge.album.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.db.PageHelper;
import com.redxun.common.base.search.QueryFilter;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.album.entity.dao.AlbumApprove;
import com.redxun.knowledge.album.entity.dao.AlbumCategory;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprove;
import com.redxun.knowledge.album.entity.enums.AlbumVersionApproveEnum;
import com.redxun.knowledge.album.entity.vo.AlbumApproveListVo;
import com.redxun.knowledge.album.mapper.AlbumYelpApproveMapper;
import com.redxun.knowledge.utils.PageListUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;

/**
* [业务--专辑点评审批表]业务服务类
*/
@Service
public class AlbumYelpApproveServiceImpl extends SuperServiceImpl<AlbumYelpApproveMapper, AlbumYelpApprove> implements BaseService<AlbumYelpApprove> {

    @Resource
    private AlbumYelpApproveMapper albumYelpApproveMapper;

    @Override
    public BaseDao<AlbumYelpApprove> getRepository() {
        return albumYelpApproveMapper;
    }

    /**
     * 根据专辑Id删除点评审核流程
     * @param ids
     */
    public void deleteByAlbumId(String ids) {
        albumYelpApproveMapper.deleteByAlbumId(ids);
    }

    /**
     * 点评审核列表
     */
    @Override
    public IPage query(QueryFilter queryFilter) {
        return null;
    }
}
